# OnlinePlayer (ACF (Bungee) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands.bungee.contexts, class: OnlinePlayer

Package co.aikar.commands.bungee.contexts

# Class OnlinePlayer

java.lang.Object
co.aikar.commands.bungee.contexts.OnlinePlayer

Direct Known Subclasses:
  `OnlineProxiedPlayer`

public class OnlinePlayer extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`final net.md_5.bungee.api.connection.ProxiedPlayer`
`player`

## Constructor Summary

Constructors
Constructor
Description
`OnlinePlayer(net.md_5.bungee.api.connection.ProxiedPlayer player)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`net.md_5.bungee.api.connection.ProxiedPlayer`
`getPlayer()`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### player

public final net.md_5.bungee.api.connection.ProxiedPlayer player

## Constructor Details

### OnlinePlayer

public OnlinePlayer (net.md_5.bungee.api.connection.ProxiedPlayer player)

## Method Details

### getPlayer

public net.md_5.bungee.api.connection.ProxiedPlayer getPlayer()

### equals

public boolean equals (Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`